Retrieves username history for a Minecraft account.
Note: This endpoint may be unavailable due to upstream API issues.
cURL
curl --request GET \ --url https://oathnet.org/api/service/mc-history \ --header 'x-api-key: <api-key>'
{ "success": true, "message": "<string>", "data": { "uuid": "<string>", "username": "<string>", "history": [ { "username": "<string>", "changed_at": "2023-11-07T05:31:56Z" } ], "_meta": { "user": { "plan": "Pro", "plan_type": "pro", "is_plan_active": true }, "lookups": { "used_today": 5, "left_today": 995, "daily_limit": 1000, "is_unlimited": false }, "service": { "name": "Service Name", "id": "service-id", "category": "general", "is_premium": false, "is_available": true, "session_quota": 10 }, "performance": { "duration_ms": 111.47, "timestamp": "2026-01-06T00:44:08.191547" } } } }
API key for authentication (lowercase header name)
Minecraft username
Minecraft username history
Show child attributes